package pl.alx.kurs.utils;

import java.io.InputStream;


public abstract class InputStreamTemplate {
	public abstract InputStream createInputStream() throws Exception;
	public abstract void useInputStream(InputStream is) throws Exception;
	public void execute() {
		InputStream is = null;
		try {
			is = createInputStream();
			useInputStream(is);
		} catch (Exception e) {
			throw new RuntimeException(e);
		} finally {
			if (is != null) {
				try {
					is.close();
				} catch (Exception e1) { }
			}
		}
	}
}
